Bug 505084 - Default SMTP Options in Thuderbird 3.0 upgrade break connection
Default SMTP Options in Thuderbird 3.0 upgrade break connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 11:41 EDT by Matt Hirsch
Modified: 2010-06-28 08:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Hirsch 2009-06-10 11:41:36 EDT
Description of problem:

I updated from Fedora 10 to Fedora 11. As part of this upgrade, thuderbird was upgraded to 3.0. In version 3.0, a new smtp option "Use secure authentication" was added, and by default, enabled. This broke my connection to my school's smtp server. This is confusing, since my school uses an SSL encrypted connection, but enabling "Use secure authentication" results in a message:

Sending of message failed.
An error occurred sending mail: Unable to authenticate to SMTP server ******. The server does not support any compatible secure authentication mechanism but you have chosen secure authentication. Try switching off secure authentication or contact your service provider.

Unchecking this option fixes the problem.


Version-Release number of selected component (if applicable):

thunderbird-3.0-2.3.beta2.fc11.x86_64

How reproducible:


Steps to Reproduce:
1. Configure thunderbird in Fedora 10 to connect to an SSL encrypted smtp connection.
2. Upgrade to Fedora 11, with thunderbird 3.0
  
Actual results:

Outgoing mail no longer works.

Expected results:

Outgoing mail continues to work.


Additional info:

Connection Security must still be set to SSL/TLS
Comment 1 Matěj Cepl 2009-06-10 19:22:12 EDT
Cannot reproduce here, with fresh profile and almost fresh F11 I get no secure authentication selected (I admit, I haven't installed F10 just to upgrade it to F11).

And just to explain, "secure authentication" has actually almost nothing to do with SSL/TLS connection to the server. It's really about authentication (proving to the mail server who you are), it is used as (quite confusing I have to admit) collective term for many different means of secure authentication (GSSAPI, Kerberos, CRAM_MD5, DIGEST-MD5, NTLM, and APOP).

Do you have by chance backup of the latest ~/.thunderbird/*.default/prefs.js from F10? Could you attach it to this bug report as a separate uncompressed attachment, please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matt Hirsch 2009-06-10 19:28:21 EDT
Sorry, I don't have a backup available. Maybe someone else will come across this issue and can post a backup? Thanks for checking into it.
Comment 3 Allan Engelhardt 2009-06-12 04:53:45 EDT
FWIW: I can confirm that I had the same problem after F10 -> F11 upgrade with the same solutions as Matthew but unfortunately I also do not have an old prefs.js file.
Comment 4 Matěj Cepl 2009-06-12 08:43:09 EDT
Leaving bug with needinfo flag ... otherwise assigning to developers for further investigation.
Comment 5 Matěj Cepl 2010-02-26 07:16:54 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 6 Matt Hirsch 2010-02-26 15:12:36 EST
I don't have any way to produce the information you requested, as I did not keep a backup. You may as well close the bug. Sorry.
Comment 7 Bug Zapper 2010-04-27 10:44:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:52:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.